{% extends 'frontBase.html.twig' %}

{% block title %}
    {{ product.user.name }}::{{ product.name }}
{% endblock %}

{% block body %}
    <div class="wrapper image-wrapper bg-image page-title-wrapper inverse-text" data-image-src="{{ asset('style/images/art/bg3.jpg') }}">
        <div class="container inner text-center">
            <div class="space90"></div>
            <h1 class="page-title">{{ product.name }}</h1>
            <nav class="lead" style="color: #fff;">
                <a href="/">Accueil</a> - <a href="{{ path('front_provider_listing') }}">Fournisseurs</a> - <a href="{{ path('front_provider_products_listing', {slug: user.slug}) }}">{{ user.name }}</a> - <span>{{ product.name }}</span>
            </nav>
        </div>
    </div>

    <div class="wrapper light-wrapper">
        <div class="container inner">
            <div class="row">
                <div class="col-lg-5 mb-0">
                    <div class="owl-slider-wrapper">
                        <div class="owl-carousel owl-slider-main mb-10">
                            {% for image in product.images %}
                            <div class="item"><img src="{{ asset(image.publicPath) }}" alt="" /></div>
                            {% endfor %}
                        </div>
                        <div class="owl-carousel owl-slider-nav mb-0">
                            {% for image in product.images %}
                                <div class="item"><img src="{{ asset(image.publicPath) }}" alt="" /></div>
                            {% endfor %}
                        </div>
                    </div>
                </div>
                <aside class="col-lg-6 offset-lg-1 sidebar product">
                    <h1 class="post-title">{{ product.name }}</h1>
                    {% if product.price %}
                    <div class="price large"><span class="amount">{{ product.price }}TND</span></div>
                    {% endif %}
                    <div class="space30"></div>
                    <p>{{ product.description }}</p>
                    {#<span class="ratings four"></span> <a href="#" class="hover">(3 Customer Reviews)</a>#}
                    <div class="space20"></div>
                    <form action="">
                        <ul class="list-unstyled item-details product">
                            <li class="d-flex align-items-center"><strong class="color-dark pr-10">Quantité:</strong>
                                <div class="form-group item-quantity">
                                    <input type="button" value="-" class="qtyminus" />
                                    <input type="text" name='quantity' value='1' class="qty" />
                                    <input type="button" value="+" class="qtyplus" />
                                </div>
                                <span id="qty-errors" class="text-danger"></span>
                            </li>
                        </ul>
                        <button data-id="{{ product.spSku }}" type="submit" class="btn-add-to-cart btn">Ajouter à la liste</button>
                    </form>
                </aside>
            </div>
            <div class="space50"></div>
            <ul class="nav nav-tabs">
                <li class="nav-item"> <a class="nav-link text-dark" data-toggle="tab" href="#tab1-1">Détails des produits</a> </li>
            </ul>
            <div class="tab-content">
                <div class="tab-pane show active" id="tab1-1">
                    {{ product.description }}
                </div>
            </div>
        </div>
    </div>

    <div class="wrapper light-wrapper">
        <div class="container inner">
            <h2>Vous aimerez aussi</h2>
            <div class="row">
                {% for product in related_products %}
                    <div class="item item-detailed grid-sizer col-md-6 col-lg-4">
                        <div class="box bg-white shadow p-30" style="min-height: 580px;">
                            <figure class="main rounded mb-30">
                                <div class="item-detailed-image">
                                    <a href="{{ path('front_provider_product_show', {slug: product.slug, id: product.id, provider: product.user.slug}) }}">
                                        {% if product.images is not empty %}
                                            <img src="{{ asset(product.images[0].publicPath) }}" alt="">
                                        {% else %}
                                            <span style="text-align: center; background: #ccc; color: #999; height: 0; width: 100%; display: block; padding-top: 100%; position: relative;">
                                                <span style="position: absolute; top: 50%;left: 50%;transform: translate(-50%, -50%)">Pas d'image disponible</span>
                                            </span>
                                        {% endif %}
                                    </a>
                                </div>
                                <a href="#" data-id="{{ product.spSku }}" class="hover-icon-second" data-tip="Ajouter au devis"><i class="jam jam-plus"></i></a>
                            </figure>
                            <div class="item-content">
                                <h2 style="min-height: 96px;display: flex;align-items: center;" class="post-title mb-10"><a href="{{ path('front_provider_product_show', {slug: product.slug, id: product.id, provider: product.user.slug}) }}">{{ product.shortName }}</a></h2>
                                <div class="price mb-0">
                                <span class="amount">
                                    {{ product.shortDescription }}[...]
                                </span>
                                </div>
                                {#<span class="ratings four"></span>#}
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>

    <a href="#" style="display: none;" id="modalToggle" data-toggle="modal" data-target="#modal-04"></a>
    <div id="modal-04" tabindex="-1" role="dialog" aria-labelledby="modal-04" class="modal fade" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
            <div class="modal-content">
                <div class="box p-30">
                    <div class="row">
                        <div class="col-md-12 my-auto">
                            <div class="media align-items-center">
                                <div class="media-body text-center">
                                    <h4 class="mb-10">Produit ajouté au devis !</h4>
                                    <p>Le produit a été ajouté à votre devis</p>
                                    <a href="#" class="btn" data-dismiss="modal" aria-label="Close">Je continue ma liste</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    <script>
        jQuery(function () {

            jQuery('.btn-add-to-cart').click(function (e) {
                e.preventDefault();
                let qty = $('.qty').val();

                let $qtyErrors = $('#qty-errors');
                $qtyErrors.html("");
                if (qty <= 0) {
                    let msg = "Vous ne pouvez pas mettre une quantité négative";
                    $qtyErrors.html(msg);
                    return;
                }

                let $cart = jQuery('#cart-wrapper');
                let id = jQuery(this).attr('data-id');
                let $itemsCounter = jQuery('#itemsCount');
                if (!$cart.hasClass('not-empty')) {
                    $cart.addClass('not-empty');
                }

                jQuery.ajax({
                    url: '{{ path('front_add_to_cart') }}',
                    data: {id: id, qty: qty},
                    type: 'POST'
                }).done(function (jqxhr) {
                    response = JSON.parse(jqxhr);
                    if (response.type == 'old') {
                        $('input[data-product="'+response.id+'"').val(response.qty);
                    } else {
                        jQuery('.cart-body-list').append(response.html);
                        let count = $itemsCounter.html();
                        count++;
                        $itemsCounter.html(count);
                    }
                    $('#modalToggle').trigger('click');
                }).fail(function () {
                    alert('Une erreur s\'est produite !')
                })

            });

            $('.qtyplus').click(function () {
                let qty = $('.qty').val();
                qty++;
                $('.qty').val(qty);
            });

            $('.qtyminus').click(function () {
                let qty = $('.qty').val();
                if (qty > 1) {
                    qty--;
                    $('.qty').val(qty);
                }
            });
        })
    </script>
{% endblock %}